<?xml version="1.0"?>
<document>

  <properties>
    <title>Maven AspectJ Plug-in Goals</title>
    <author email="dion@multitask.com.au">dIon Gillard</author>
  </properties>

  <body>
    <section name="Goals">
      <table>
        <tr><th>Goal</th><th>Description</th></tr>
        <tr>
          <td>aspectj</td>
          <td>
            This is the default goal of the plugin and simply attains
            the <code>aspectj:compile</code> goal.
          </td>
        </tr>
        <tr>
          <td>aspectj:compile</td>
          <td>
            Compiles source code as found in the
<source><![CDATA[
<build>
  <aspectSourceDirectory>...</aspectSourceDirectory>
</build>
]]>
</source>
            element from your
           <a href="http://maven.apache.org/reference/project-descriptor.html">
           project descriptor</a>
           <p>
             Code is only recompiled if any of the source is newer than
             the jar file
           </p>
          </td>
        </tr>
      </table>
    </section>
 </body>
</document>
